Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Python < 3.4.9, 3.5.x < 3.5.6, 3.6.x < 3.6.5 Python Issue (bpo-33001) - Windows

Information

Severity

Severity

High

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

7.2

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:L/Au:N/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

1 year ago

Modified

Modified

1 year ago

Summary

Python is prone to a buffer overflow vulnerability in 'os.symlink'.

Insight

Insight

A buffer overflow vulnerability in os.symlink() function can result in arbitrary code execution, likely escalation of privilege. This attack appears to be exploitable via a python script that creates a symlink with an attacker controlled name or location.

Affected Software

Affected Software

Python prior to version 3.4.9, versions 3.5.x prior to 3.5.6, and 3.6.x prior to 3.6.5.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Update to version 3.4.9, 3.5.6, 3.6.5 or later.

Common Vulnerabilities and Exposures (CVE)